Update pass
curl --request PATCH \
--url https://api.passentry.com/api/v1/passes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pass": {
"nfc": {
"enabled": false
},
"fullName": {
"value": "Jane Roberts"
}
},
"message": "Your pass details have been updated. Click to show pass",
"locations": [
{
"name": "Venue",
"latitude": 51.54321132456805,
"longitude": -0.022901231803803924,
"radius": 100,
"message": "Welcome to the venue"
}
]
}
'import requests
url = "https://api.passentry.com/api/v1/passes/{id}"
payload = {
"pass": {
"nfc": { "enabled": False },
"fullName": { "value": "Jane Roberts" }
},
"message": "Your pass details have been updated. Click to show pass",
"locations": [
{
"name": "Venue",
"latitude": 51.54321132456805,
"longitude": -0.022901231803803924,
"radius": 100,
"message": "Welcome to the venue"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pass: {nfc: {enabled: false}, fullName: {value: 'Jane Roberts'}},
message: 'Your pass details have been updated. Click to show pass',
locations: [
{
name: 'Venue',
latitude: 51.54321132456805,
longitude: -0.022901231803803924,
radius: 100,
message: 'Welcome to the venue'
}
]
})
};
fetch('https://api.passentry.com/api/v1/passes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "d2ac8d95-6914-4cac-957c-2a5ccf534390",
"type": "pass",
"attributes": {
"downloadUrl": "https://www.example.com?pass=d2ac8d95-6914-4cac-957c-2a5ccf534390",
"passType": "generic",
"createdAt": "2022-01-01T00:00:00Z",
"status": "issued",
"extId": "b1985e420025dd92ccf2",
"passTemplateUuid": "2e2d7ee8c306e8f0223dbdc1",
"passTemplateName": "PassEntry Ticketing",
"nfc": null,
"barcode": {},
"latestMessage": "Your pass details have been updated. Click to show pass",
"passContent": {
"fullName": {
"value": "Jane Roberts"
},
"nfc": {
"enabled": false
}
}
}
},
"meta": {
"notifications": {
"status": "notDelivered",
"message": "Pass has not been added to the wallet"
}
}
}{
"errors": [
"<string>"
]
}{
"errors": [
"Access denied"
]
}{
"errors": [
"Pass with provided id not found"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pass UUID or External ID
Query Parameters
If true, includes the pass design in the response
If true, includes the locations in the response if any are present
If true, includes the beacons in the response if any are present
Body
Show child attributes
Show child attributes
Push Notification message to display. If present, response will include X-Notification-Status header
"Your pass details have been updated. Click to show pass"
Only available when updating the pass.
- deactivate: Deactivates the pass, setting it to 'expired' in the wallet. When in this state, pass can receive updates but does not receive Apple notifications.
- reactivate: Reactivates the pass, setting it to 'active' in the wallet. In the case of Apple passes, the pass will remain in the 'expired' passes section of the wallet, user will need to manually select 'unhide' to move passes to the main passes view.
deactivate, reactivate Array of locations. Maximum of 10 locations
Show child attributes
Show child attributes
Array of beacons, currently only available on Apple devices, due to Android device restrictions. Maximum of 10 beacons
Show child attributes
Show child attributes
Tag used for grouping passes
"EASTER_OFFER_22"
Tags used for grouping passes
["EASTER_OFFER_22", "SUMMER_SALE_22"]Was this page helpful?
